--- title: "Get Passive Device Profiling Setting at the Domain Level" slug: "get-passive-device-profiling-setting-at-the-domain-level-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:08Z published: 2026-11-19T12:57:08Z canonical: "docs.trellix.com/get-passive-device-profiling-setting-at-the-domain-level-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Passive Device Profiling Setting at the Domain Level This URL gets passive device profiling setting at the domain level. ### Resource URL GET /domain//passivedeviceprofiling ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `domain_id` | Domain id | Number | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `inheritSettingsfromParentNode` | Inherit settings from parent node | Boolean | | `passiveDeviceProfilingSetting` | Passive device profiling setting | Object | Details of fields in passiveDeviceProfilingSetting: | Field Name | Description | Data Type | | --- | --- | --- | | `profilingTechniques` | Profiling technique to use for device profiling | Object | | `profileExpiration` | Profile expiration duration for re-profiling of a device | Object | | `hostInactivityTimerInHrs` | Specifies the duration after which information for a device is considered invalid | Number | Details of fields in profilingTechniques: | Field Name | Description | Data Type | | --- | --- | --- | | `DHCPEnableStatus` | Enable DHCP for device profiling | Boolean | | `TCPEnableStatus` | Enable TCP for device profiling | Boolean | | `HTTPEnableStatus` | Enable HTTP for device profiling | Boolean | Details of fields in profileExpiration: | Field Name | Description | Data Type | | --- | --- | --- | | `duration` | Profile expiration duration | Number | | `unit` | Profile expiration duration unit, can be "MINUTES" / "HOURS" | String | ### Example **Request** GET [https:///sdkapi/domain/0/passivedeviceprofiling](https://<NSM_IP>/sdkapi/domain/0/passivedeviceprofiling) **Response** ``` {       "inheritSettingsfromIPSSettingsNode": false,       "passiveDeviceProfilingSetting":       {           "profilingTechniques":           {               "DHCPEnableStatus": true,               "TCPEnableStatus": true,               "HTTPEnableStatus": false           },           "profileExpiration":           {               "duration": 30,               "unit": "MINUTES"           },           "hostInactivityTimerInHrs": 2       } } ``` ### Error Information Following error code is returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain |